18 messages in ru.sysoev.nginxRe: nginx init script for redhat (rhel5)
FromSent OnAttachments
mikeMar 16, 2009 7:51 pm 
Chris ZimmermanMar 16, 2009 8:10 pm 
Jim OhlsteinMar 16, 2009 8:15 pm 
mikeMar 16, 2009 8:18 pm 
mikeMar 16, 2009 8:21 pm 
Chris ZimmermanMar 16, 2009 8:25 pm 
Cliff WellsMar 16, 2009 8:37 pm 
Cliff WellsMar 16, 2009 8:43 pm 
mikeMar 16, 2009 8:51 pm 
mikeMar 16, 2009 8:51 pm 
Cliff WellsMar 16, 2009 9:19 pm 
mikeMar 16, 2009 9:24 pm 
mikeMar 16, 2009 9:25 pm 
mikeMar 16, 2009 11:57 pm 
Jeroen Steggink - CMSMar 17, 2009 12:29 am 
mikeMar 17, 2009 12:51 am 
Jean-Philippe MoalMar 17, 2009 2:43 am 
mikeMar 17, 2009 10:23 am 
Actions with this message:
Paste this link in email or IM:
Paste this link in email or IM:
Atom feed for this thread
Paste this URL into your reader:
Subject:Re: nginx init script for redhat (rhel5)Actions...
From:Chris Zimmerman (fud.@gmail.com)
Date:Mar 16, 2009 8:10:51 pm
List:ru.sysoev.nginx

Better probably, not. This is what I use. At least it works.

#! /bin/sh

# Description: Startup script for nginx webserver on Debian. Place in /etc/init.d and # run 'sudo update-rc.d nginx defaults', or use the appropriate command on your # distro. # #chkconfig: 2345 55 25 # # Author: Ryan Norbauer <ryan@gmail.com> # Modified: Geoffrey Grosenbach http://topfunky.com

set -e

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin DESC="nginx daemon" NAME=nginx DAEMON=/usr/local/sbin/$NAME CONFIGFILE=/etc/nginx/nginx.conf PIDFILE=/var/run/$NAME.pid SCRIPTNAME=/etc/init.d/$NAME

# Gracefully exit if the package has been removed. test -x $DAEMON || exit 0

d_start() { $DAEMON -c $CONFIGFILE || echo -n " already running" }

d_stop() { kill -15 `cat $PIDFILE` || echo -n " not running" }

d_reload() { kill -15 `cat $PIDFILE` || echo -n " can't reload" }

case "$1" in start) echo -n "Starting $DESC: $NAME" d_start echo "." /etc/init.d/httpd start ;; stop) echo -n "Stopping $DESC: $NAME" d_stop echo "." /etc/init.d/httpd stop ;; reload) echo -n "Reloading $DESC configuration..." d_reload echo "reloaded." /etc/init.d/httpd restart ;; restart) echo -n "Restarting $DESC: $NAME" d_stop # One second might not be time enough for a daemon to stop, # if this happens, d_start will fail (and dpkg will break if # the package is being upgraded). Change the timeout if needed # be, or change d_stop to have start-stop-daemon use --retry. # Notice that using --retry slows down the shutdown process somewhat. sleep 1 d_start echo "." /etc/init.d/httpd restart ;; *) echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2 exit 3 ;; esac

exit 0